import React, { useState } from "react";
import DropDownPicker from "react-native-dropdown-picker";

const CustomDropDown = (props) => {
  const [value, setValue] = useState(props.defaultValue);
  const [items, setItems] = useState(props.myItems);
  let controller;

  const callback = (item) => {
    (item) => setValue(item.value);
    props.sendDataToParent(item.value);
  };

  return (
      <DropDownPicker
        items={items}
        controller={(instance) => (controller = instance)}
        onChangeList={(items, callback) => {
          new Promise((resolve, reject) => resolve(setItems(items)))
            .then(() => callback())
            .catch(() => {});
        }}
        defaultValue={value}
        onChangeItem={(item) => callback(item)}
        style={{ backgroundColor: "#fafafa" }}
        dropDownStyle={{ backgroundColor: "#fafafa" }}
        containerStyle={{ height: 40 }}
        itemStyle={{ justifyContent: "flex-start" }}
      />
  );
};

export default CustomDropDown;
